<?php
namespace App\Models;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class ProjectTask extends Model {
    use SoftDeletes; protected $guarded=['id']; protected $casts=['due_at'=>'datetime'];
    public function project(){return $this->belongsTo(Project::class);}
    public function milestone(){return $this->belongsTo(ProjectMilestone::class,'milestone_id');}
    public function assignee(){return $this->belongsTo(User::class,'assigned_to');}
}
